Package net.shibboleth.idp.installer

# Class PropertiesWithComments.CommentedProperty

java.lang.Object
net.shibboleth.idp.installer.PropertiesWithComments.CommentedProperty

Enclosing class:
  PropertiesWithComments

private static class PropertiesWithComments.CommentedProperty extends Object
A POJO which looks like a property. It may be a commented property from a line like this "#prop=value" or a property prop=value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`isComment`
Whether this is a comment or a value.
`private final String`
`property`
The property name.
`private String`
`value`
The value - or the entire line if this is a comment.

## Constructor Summary

Constructors
Constructor
Description
`CommentedProperty(String prop, String val, boolean comment)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setValue(String newValue)`
Set a new value.
`protected void`
`write(BufferedWriter writer)`
Write ourselves to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### property

private final String property
The property name.

### value

private String value
The value - or the entire line if this is a comment.

### isComment

private boolean isComment
Whether this is a comment or a value.

## Constructor Details

### CommentedProperty

CommentedProperty(String prop, String val, boolean comment)
Constructor.

Parameters:
  `prop` - the property name.
  `val` - the value or the entire line if this was a comment.
  `comment` - whether this is a comment.

## Method Details

### setValue

protected void setValue(String newValue)
Set a new value.

Parameters:
  `newValue` - what to set

### write

protected void write(BufferedWriter writer) throws IOException
Write ourselves to the writer.

Parameters:
  `writer` - what to write with
Throws:
  `IOException` - from the writer